package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumTemplateType {

    // 1-核销成功消息, 2-核销失败消息

    VERIFY_SUCCESS(1, "核销成功消息"), // 小程序
    VERIFY_FAIL(2, "核销失败消息"),    // 小程序
    PRESS_SUCCESS(3, "砍价成功消息"),    // 小程序
    AUDIT_MESSAGE(101, "公众号审核结果通知"),  // 公众号
    VERIFY_RESULT(102, "公众号卡券核销通知"),  // 公众号
    GIFT_MESSAGE(103, "公众号购票成功通知"),  // 公众号
    ;

    public static EnumTemplateType getEnum(Integer code) {
        for (EnumTemplateType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumTemplateType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
